.mf-calculator-wrapper > .mf-calculator.block {
  box-shadow: 4px 0 25px 0 rgb(0 0 0 / 15%);
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}

.calculator-container {
  border-radius: 8px;
  background: linear-gradient(119deg, var(--color-white) 0%, #E8E8E8 100%);
  box-shadow: 0 2px 25px 0 rgb(0 0 0 / 12%);
}

.mf-calculator .calc-info-table-container {
  display: flex;
  justify-content: center;
  background: var(--color-white);
  padding-bottom: 12px;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}

.mf-calculator .calc-info-table-container .info-table {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 6px;
}

.sip-start-button {
  width: 86%;
  border-radius: 0;
}

.mf-page .sip-start-button {
  padding: 8px 40px;
  margin-bottom: -6px;
}

.mf-calculator .calc-info-table-container p,
.mf-calculator .calc-info-table-container h6 {
  margin: 0;
  font-size: 15px;
  color: var(--color-dark-gray-1);
  text-align: center;
}

.mf-calculator .calc-info-table-container h6 {
  font-weight: 700;
}

.mf-calculator .calc-container {
  position: relative;
  border-radius: 12px;
  max-width: 1200px;
  background-color: var(--color-white);
}

.mf-calculator .calc-container .calc-left {
  display: flex;
  flex-direction: column;
}

.mf-calculator .calc-container .calc-middle {
  display: none;
}

.mf-calculator .calc-container .calc-right {
  display: none;
}

.mf-calculator .calc-container .reset-calculator {
  display: none;
}

.mf-calculator .calc-container .black-head {
  background: var(--cal-light-bg);
  padding: 10px 16px;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  color: var(--color-text-primary);
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 0;
}

.mf-calculator .calc-container .tabs-container {
  display: flex;
  border-bottom: 1px solid var(--color-gray-15);
  background-color: var(--color-white);
}

.mf-calculator .calc-container .tab {
  flex: 1;
  text-align: center;
  padding: 7px 0;
  cursor: pointer;
  color: var(--color-text-primary);
  border-bottom: 2px solid transparent;
}

.mf-calculator .calc-container .tab.active {
  color: var(--color-text-primary);
  border-bottom: 2px solid var(--cal-slider);
  font-weight: var(--font-weight-medium);
}

.mf-calculator .calc-container .inputs-container {
  flex: 1;
  padding: 12px 24px 4px;
  background-color: var(--color-white);
}

.mf-calculator .calc-container .inp-div {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.mf-calculator .calc-container .inp-div:not(:first-child) {
  margin-top: 12px;
}

.mf-calculator .calc-container .inp-div > label {
  color: var(--color-gray-4);
  font-size: 16px;
}

.mf-calculator .calc-container .inp-div > input {
  border-radius: 4.258px;
  background: var(--color-light-gray-1);
  color: var(--color-gray-2);
  border: 1px solid transparent;
  width: 105px;
  height: 34px;
  font-size: 14px;
  padding: 0 16px;
  text-align: center;
}

.mf-calculator .calc-container .slid-div {
  margin: 7px 0;
}

.mf-calculator .calc-container .slid-div > input {
  width: 100%;
}

/* Slider track */
.mf-calculator .calc-container .slid-div > input[type="range"] {
  appearance: none;
  width: 100%;
  height: 4px;
  outline: none;
  border-radius: 4px;
  background: var(--cal-slider);
}

.mf-calculator .calc-container .slid-div > input[type="range"]:hover {
  opacity: 1;
}

/* Slider track behind the thumb */
.mf-calculator .calc-container .slid-div > input[type="range"]::-webkit-slider-runnable-track {
  width: 100%;
  height: 4px;
  background: linear-gradient(
    to right,
    var(--brand-sky-blue-color-500) 0%,
    var(--brand-sky-blue-color-500) var(--value),
    #ddd var(--value),
    #ddd 100%
);
  border-radius: 4px;
}

.mf-calculator .calc-container .slid-div > input[type="range"]::-moz-range-track {
  width: 100%;
  height: 4px;
  background: linear-gradient(
        to right,
        var(--brand-sky-blue-color-500) 0%,
        var(--brand-sky-blue-color-500) var(--value),
        #ddd var(--value),
        #ddd 100%
    );
  border-radius: 4px;
}

/* Slider thumb */
.mf-calculator .calc-container .slid-div > input[type="range"]::-webkit-slider-thumb {
  appearance: none;
  width: 24px;
  height: 24px;
  background: var(--cal-slider);
  border-radius: 50%;
  cursor: pointer;
  margin-top: -10px;
}

.mf-calculator .calc-container .slid-div > input[type="range"]::-moz-range-thumb {
  width: 24px;
  height: 24px;
  background: var(--cal-slider);
  border-radius: 50%;
  cursor: pointer;
}

.mf-calculator .calc-container .highcharts-credits {
  display: none;
}

.mf-calculator .calc-container .right-main-div {
  width: 100%;
}

.mf-calculator .calc-container .right-main-div .top-calc-text {
  padding: 10px;
  text-align: center;
  color: var(--color-dark-gray-1);
  font-weight: 600;
  font-size: 18px;
}

.mf-calculator .calc-container .calc-middle-and-right {
  width: 100%;
  height: 100%;
  display: flex;
}

.mf-calculator .mfsip-amount-error, .mf-calculator .mflump-amount-error {
    color: var(--color-error);
    font-size: 12px;
    text-align: left;
    line-height: 1px;
}

@media (width<=1024px){
  .mf-calculator .calc-container{
    margin-top: 24px;
  }
}

/* Desktop-only button styling */
.desktop-only-button {
  display: none;
}

@media (width >= 769px) {
  .desktop-only-button {
    display: block;
  }
}

@media (width>=1024px) {
  .mf-page .mf-calculator-container {
    position: relative;
    bottom: 262px;
  }
}

.mf-oao-button {
  background: #fff;
  padding: 10px;
  text-align: center;
}